Changeset 611 for branches/devel/Cbc


Ignore:
Timestamp:
May 14, 2007 8:47:40 PM (12 years ago)
Author:
lou
Message:

Check for multiple symbols in glpk link check.

Location:
branches/devel/Cbc
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • branches/devel/Cbc/configure

    r592 r611  
    11211121  --with-tags[=TAGS]
    11221122                          include additional configurations [automatic]
    1123   --with-cplex-incdir specify the directory with the header files for library
    1124                           Cplex
    1125   --with-cplex-lib specify the flags to link with the library Cplex
    1126   --with-glpk-incdir specify the directory with the header files for library
    1127                           Glpk
    1128   --with-glpk-lib specify the flags to link with the library Glpk
    1129   --with-fortmp-incdir specify the directory with the header files for library
    1130                           FortMP
    1131   --with-fortmp-lib specify the flags to link with the library FortMP
    1132   --with-mosek-incdir specify the directory with the header files for library
    1133                           Mosek
    1134   --with-mosek-lib specify the flags to link with the library Mosek
    1135   --with-osl-incdir specify the directory with the header files for library
    1136                           Osl
    1137   --with-osl-lib specify the flags to link with the library Osl
    1138   --with-soplex-incdir specify the directory with the header files for library
    1139                           Soplex
    1140   --with-soplex-lib specify the flags to link with the library Soplex
    1141   --with-xpress-incdir specify the directory with the header files for library
    1142                           Xpress
    1143   --with-xpress-lib specify the flags to link with the library Xpress
     1123  --with-cplex-incdir specify the header file directory for library Cplex
     1124  --with-cplex-lib specify the flags used to link with the library Cplex
     1125  --with-glpk-incdir specify the header file directory for library Glpk
     1126  --with-glpk-lib specify the flags used to link with the library Glpk
     1127  --with-fortmp-incdir specify the header file directory for library FortMP
     1128  --with-fortmp-lib specify the flags used to link with the library FortMP
     1129  --with-mosek-incdir specify the header file directory for library Mosek
     1130  --with-mosek-lib specify the flags used to link with the library Mosek
     1131  --with-osl-incdir specify the header file directory for library Osl
     1132  --with-osl-lib specify the flags used to link with the library Osl
     1133  --with-soplex-incdir specify the header file directory for library Soplex
     1134  --with-soplex-lib specify the flags used to link with the library Soplex
     1135  --with-xpress-incdir specify the header file directory for library Xpress
     1136  --with-xpress-lib specify the flags used to link with the library Xpress
    11441137  --with-asldir           specify path to AMPL solver directory (or BUILD for
    11451138                          compilation, or "no" for disabling AMPL)
     
    17921785if test "${with_cbc_verbosity+set}" = set; then
    17931786  withval="$with_cbc_verbosity"
    1794   coin_cbc_verbosity=$withval
     1787  if test "$withval" = yes; then
     1788                withval=1
     1789              fi
     1790              coin_cbc_verbosity=$withval
    17951791else
    17961792  coin_cbc_verbosity=0
     
    18061802if test "${with_cbc_checklevel+set}" = set; then
    18071803  withval="$with_cbc_checklevel"
    1808   coin_cbc_checklevel=$withval
     1804  if test "$withval" = yes; then
     1805                withval=1
     1806              fi
     1807              coin_cbc_checklevel=$withval
    18091808else
    18101809  coin_cbc_checklevel=0
     
    56705669*-*-irix6*)
    56715670  # Find out which ABI we are using.
    5672   echo '#line 5672 "configure"' > conftest.$ac_ext
     5671  echo '#line 5671 "configure"' > conftest.$ac_ext
    56735672  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    56745673  (eval $ac_compile) 2>&5
     
    68046803
    68056804# Provide some information about the compiler.
    6806 echo "$as_me:6806:" \
     6805echo "$as_me:6805:" \
    68076806     "checking for Fortran 77 compiler version" >&5
    68086807ac_compiler=`set X $ac_compile; echo $2`
     
    78717870   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78727871   -e 's:$: $lt_compiler_flag:'`
    7873    (eval echo "\"\$as_me:7873: $lt_compile\"" >&5)
     7872   (eval echo "\"\$as_me:7872: $lt_compile\"" >&5)
    78747873   (eval "$lt_compile" 2>conftest.err)
    78757874   ac_status=$?
    78767875   cat conftest.err >&5
    7877    echo "$as_me:7877: \$? = $ac_status" >&5
     7876   echo "$as_me:7876: \$? = $ac_status" >&5
    78787877   if (exit $ac_status) && test -s "$ac_outfile"; then
    78797878     # The compiler can only warn and ignore the option if not recognized
     
    81398138   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81408139   -e 's:$: $lt_compiler_flag:'`
    8141    (eval echo "\"\$as_me:8141: $lt_compile\"" >&5)
     8140   (eval echo "\"\$as_me:8140: $lt_compile\"" >&5)
    81428141   (eval "$lt_compile" 2>conftest.err)
    81438142   ac_status=$?
    81448143   cat conftest.err >&5
    8145    echo "$as_me:8145: \$? = $ac_status" >&5
     8144   echo "$as_me:8144: \$? = $ac_status" >&5
    81468145   if (exit $ac_status) && test -s "$ac_outfile"; then
    81478146     # The compiler can only warn and ignore the option if not recognized
     
    82438242   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82448243   -e 's:$: $lt_compiler_flag:'`
    8245    (eval echo "\"\$as_me:8245: $lt_compile\"" >&5)
     8244   (eval echo "\"\$as_me:8244: $lt_compile\"" >&5)
    82468245   (eval "$lt_compile" 2>out/conftest.err)
    82478246   ac_status=$?
    82488247   cat out/conftest.err >&5
    8249    echo "$as_me:8249: \$? = $ac_status" >&5
     8248   echo "$as_me:8248: \$? = $ac_status" >&5
    82508249   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82518250   then
     
    1058810587  lt_status=$lt_dlunknown
    1058910588  cat > conftest.$ac_ext <<EOF
    10590 #line 10590 "configure"
     10589#line 10589 "configure"
    1059110590#include "confdefs.h"
    1059210591
     
    1068810687  lt_status=$lt_dlunknown
    1068910688  cat > conftest.$ac_ext <<EOF
    10690 #line 10690 "configure"
     10689#line 10689 "configure"
    1069110690#include "confdefs.h"
    1069210691
     
    1303213031   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1303313032   -e 's:$: $lt_compiler_flag:'`
    13034    (eval echo "\"\$as_me:13034: $lt_compile\"" >&5)
     13033   (eval echo "\"\$as_me:13033: $lt_compile\"" >&5)
    1303513034   (eval "$lt_compile" 2>conftest.err)
    1303613035   ac_status=$?
    1303713036   cat conftest.err >&5
    13038    echo "$as_me:13038: \$? = $ac_status" >&5
     13037   echo "$as_me:13037: \$? = $ac_status" >&5
    1303913038   if (exit $ac_status) && test -s "$ac_outfile"; then
    1304013039     # The compiler can only warn and ignore the option if not recognized
     
    1313613135   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1313713136   -e 's:$: $lt_compiler_flag:'`
    13138    (eval echo "\"\$as_me:13138: $lt_compile\"" >&5)
     13137   (eval echo "\"\$as_me:13137: $lt_compile\"" >&5)
    1313913138   (eval "$lt_compile" 2>out/conftest.err)
    1314013139   ac_status=$?
    1314113140   cat out/conftest.err >&5
    13142    echo "$as_me:13142: \$? = $ac_status" >&5
     13141   echo "$as_me:13141: \$? = $ac_status" >&5
    1314313142   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1314413143   then
     
    1470614705   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1470714706   -e 's:$: $lt_compiler_flag:'`
    14708    (eval echo "\"\$as_me:14708: $lt_compile\"" >&5)
     14707   (eval echo "\"\$as_me:14707: $lt_compile\"" >&5)
    1470914708   (eval "$lt_compile" 2>conftest.err)
    1471014709   ac_status=$?
    1471114710   cat conftest.err >&5
    14712    echo "$as_me:14712: \$? = $ac_status" >&5
     14711   echo "$as_me:14711: \$? = $ac_status" >&5
    1471314712   if (exit $ac_status) && test -s "$ac_outfile"; then
    1471414713     # The compiler can only warn and ignore the option if not recognized
     
    1481014809   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1481114810   -e 's:$: $lt_compiler_flag:'`
    14812    (eval echo "\"\$as_me:14812: $lt_compile\"" >&5)
     14811   (eval echo "\"\$as_me:14811: $lt_compile\"" >&5)
    1481314812   (eval "$lt_compile" 2>out/conftest.err)
    1481414813   ac_status=$?
    1481514814   cat out/conftest.err >&5
    14816    echo "$as_me:14816: \$? = $ac_status" >&5
     14815   echo "$as_me:14815: \$? = $ac_status" >&5
    1481714816   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1481814817   then
     
    1701717016   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1701817017   -e 's:$: $lt_compiler_flag:'`
    17019    (eval echo "\"\$as_me:17019: $lt_compile\"" >&5)
     17018   (eval echo "\"\$as_me:17018: $lt_compile\"" >&5)
    1702017019   (eval "$lt_compile" 2>conftest.err)
    1702117020   ac_status=$?
    1702217021   cat conftest.err >&5
    17023    echo "$as_me:17023: \$? = $ac_status" >&5
     17022   echo "$as_me:17022: \$? = $ac_status" >&5
    1702417023   if (exit $ac_status) && test -s "$ac_outfile"; then
    1702517024     # The compiler can only warn and ignore the option if not recognized
     
    1728517284   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1728617285   -e 's:$: $lt_compiler_flag:'`
    17287    (eval echo "\"\$as_me:17287: $lt_compile\"" >&5)
     17286   (eval echo "\"\$as_me:17286: $lt_compile\"" >&5)
    1728817287   (eval "$lt_compile" 2>conftest.err)
    1728917288   ac_status=$?
    1729017289   cat conftest.err >&5
    17291    echo "$as_me:17291: \$? = $ac_status" >&5
     17290   echo "$as_me:17290: \$? = $ac_status" >&5
    1729217291   if (exit $ac_status) && test -s "$ac_outfile"; then
    1729317292     # The compiler can only warn and ignore the option if not recognized
     
    1738917388   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1739017389   -e 's:$: $lt_compiler_flag:'`
    17391    (eval echo "\"\$as_me:17391: $lt_compile\"" >&5)
     17390   (eval echo "\"\$as_me:17390: $lt_compile\"" >&5)
    1739217391   (eval "$lt_compile" 2>out/conftest.err)
    1739317392   ac_status=$?
    1739417393   cat out/conftest.err >&5
    17395    echo "$as_me:17395: \$? = $ac_status" >&5
     17394   echo "$as_me:17394: \$? = $ac_status" >&5
    1739617395   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1739717396   then
     
    2012720126            -e 's/$AR t/lib -nologo -list/' \
    2012820127            -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    20129             -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \\
     20128            -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    2013020129            -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    2013120130        libtool > conftest.bla
     
    2014620145        ;;
    2014720146    esac
     20147    ;;
     20148    *-darwin*)
     20149      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     20150echo "$as_me: Applying patches to libtool for Darwin" >&6;}
     20151      sed -e 's/verstring="${wl}-compatibility_version ${wl}$minor_current ${wl}-current_version ${wl}$minor_current.$revision"/verstring="-compatibility_version $minor_current -current_version $minor_current.$revision"/' \
     20152      libtool > conftest.bla
     20153
     20154      mv conftest.bla libtool
     20155      chmod 755 libtool
     20156      ;;
    2014820157  esac
    2014920158# This fi matches the commented `if test "x$LIBTOOL" = x;' up at the head of
     
    2071220721# Check which third party solvers are available ToDo!
    2071320722
    20714 echo "$as_me:$LINENO: checking if user provides library for Cplex" >&5
     20723  echo "$as_me:$LINENO: checking if user provides library for Cplex" >&5
    2071520724echo $ECHO_N "checking if user provides library for Cplex... $ECHO_C" >&6
    2071620725
    2071720726# Check for header file directory
     20727
    2071820728
    2071920729# Check whether --with-cplex-incdir or --without-cplex-incdir was given.
     
    2072220732  CPXINCDIR=`cd $withval; pwd`
    2072320733fi;
     20734
    2072420735# Check for library directory
     20736
    2072520737
    2072620738# Check whether --with-cplex-lib or --without-cplex-lib was given.
     
    2072920741  CPXLIB=$withval
    2073020742fi;
     20743
    2073120744# Switch to disable library check if requested
    20732 # Check whether --enable-cplex-libcheck or --disable-cplex-libcheck was given.
     20745
     20746  # Check whether --enable-cplex-libcheck or --disable-cplex-libcheck was given.
    2073320747if test "${enable_cplex_libcheck+set}" = set; then
    2073420748  enableval="$enable_cplex_libcheck"
     
    2073820752fi;
    2073920753
    20740 if test x"$CPXINCDIR" != x || test x"$CPXLIB" != x; then
    20741   coin_has_cpx=true
    20742 else
    20743   coin_has_cpx=false
    20744 fi
    20745 
    20746 if test $coin_has_cpx = true; then
    20747 # Check either both arguments or none are given
    20748   if test x"$CPXINCDIR" = x || test x"$CPXLIB" = x; then
    20749     { { echo "$as_me:$LINENO: error: You need to specify both --with-cplex-incdir and --with-cplex-lib if you want to use library Cplex" >&5
    20750 echo "$as_me: error: You need to specify both --with-cplex-incdir and --with-cplex-lib if you want to use library Cplex" >&2;}
     20754# At this point, if we're going to use the library, both LBRYINCDIR and
     20755# LBRYLIB must be defined and not empty.
     20756
     20757  if test x"$CPXINCDIR" != x || test x"$CPXLIB" != x; then
     20758    if test x"$CPXINCDIR" = x || test x"$CPXLIB" = x; then
     20759      { { echo "$as_me:$LINENO: error: You need to specify both an include directory and link flags to use library Cplex. Use --with-cplex-incdir of environment variable $CPXINCDIR to specify the include directory. Use --with-cplex-lib or environment variable $CPXLIB to specify link flags." >&5
     20760echo "$as_me: error: You need to specify both an include directory and link flags to use library Cplex. Use --with-cplex-incdir of environment variable $CPXINCDIR to specify the include directory. Use --with-cplex-lib or environment variable $CPXLIB to specify link flags." >&2;}
    2075120761   { (exit 1); exit 1; }; }
     20762    fi
     20763    coin_has_cpx=true
     20764    echo "$as_me:$LINENO: result: yes" >&5
     20765echo "${ECHO_T}yes" >&6
     20766  else
     20767    coin_has_cpx=false
     20768    echo "$as_me:$LINENO: result: no" >&5
     20769echo "${ECHO_T}no" >&6
    2075220770  fi
    20753   echo "$as_me:$LINENO: result: yes" >&5
    20754 echo "${ECHO_T}yes" >&6
    20755   # Check if the given header file is there
    20756   as_ac_File=`echo "ac_cv_file_$CPXINCDIR/cplex.h" | $as_tr_sh`
     20771
     20772# If we have instructions for use, consider header and link checks.
     20773
     20774  if test $coin_has_cpx = true; then
     20775
     20776# If argument 3 (file) is given, check for the file. Typically this will be a
     20777# header file, but that's not assumed.
     20778
     20779    as_ac_File=`echo "ac_cv_file_$CPXINCDIR/cplex.h" | $as_tr_sh`
    2075720780echo "$as_me:$LINENO: checking for $CPXINCDIR/cplex.h" >&5
    2075820781echo $ECHO_N "checking for $CPXINCDIR/cplex.h... $ECHO_C" >&6
     
    2078120804
    2078220805
    20783   # Check if the symbol is provided in the library
    20784   # ToDo: FOR NOW WE ASSUME THAT WE ARE USING THE C++ COMPILER
    20785   if test x"$cplex_libcheck" != xno; then
    20786                     coin_save_LIBS="$LIBS"
    20787                     LIBS="$CPXLIB $ADDLIBS"
    20788                     echo "$as_me:$LINENO: checking whether symbol CPXgetstat is available with CPX" >&5
    20789 echo $ECHO_N "checking whether symbol CPXgetstat is available with CPX... $ECHO_C" >&6
    20790                     ac_ext=c
     20806# Now see if we can link the function. There are arguments for and against
     20807# assuming argument 3 is a header file declaring the function. A correct
     20808# function declaration is the main argument in favour. Having to cope with
     20809# possible dependencies or other oddities are the main arguments against.
     20810# Force the use of C as the best single choice amongst C++, C, and Fortran.
     20811# Obviously, this has limits.
     20812
     20813    if test x"$cplex_libcheck" != xno; then
     20814           coin_save_LIBS="$LIBS"
     20815           LIBS="$CPXLIB $ADDLIBS"
     20816           coin_CPX_link=no
     20817           ac_ext=c
    2079120818ac_cpp='$CPP $CPPFLAGS'
    2079220819ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     
    2079420821ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2079520822
    20796 # ToDo find out what to do about extern "C"
    20797 #                    AC_TRY_LINK([extern "C" {void CPXgetstat();}],[CPXgetstat()],
    20798                     cat >conftest.$ac_ext <<_ACEOF
     20823           for fnm in CPXgetstat ; do
     20824             echo "$as_me:$LINENO: checking whether symbol $fnm is available with CPX" >&5
     20825echo $ECHO_N "checking whether symbol $fnm is available with CPX... $ECHO_C" >&6
     20826             cat >conftest.$ac_ext <<_ACEOF
    2079920827/* confdefs.h.  */
    2080020828_ACEOF
     
    2080220830cat >>conftest.$ac_ext <<_ACEOF
    2080320831/* end confdefs.h.  */
    20804 void CPXgetstat();
     20832
    2080520833int
    2080620834main ()
    2080720835{
    20808 CPXgetstat()
     20836$fnm()
    2080920837  ;
    2081020838  return 0;
     
    2083520863  echo "$as_me:$LINENO: result: yes" >&5
    2083620864echo "${ECHO_T}yes" >&6
     20865                  coin_CPX_link=yes
     20866                  break
    2083720867else
    2083820868  echo "$as_me: failed program was:" >&5
     
    2084120871echo "$as_me:$LINENO: result: no" >&5
    2084220872echo "${ECHO_T}no" >&6
    20843                                  { { echo "$as_me:$LINENO: error: Cannot find symbol CPXgetstat with CPX" >&5
    20844 echo "$as_me: error: Cannot find symbol CPXgetstat with CPX" >&2;}
    20845    { (exit 1); exit 1; }; }
    2084620873fi
    2084720874rm -f conftest.err conftest.$ac_objext \
    2084820875      conftest$ac_exeext conftest.$ac_ext
    20849                     ac_ext=c
     20876           done
     20877           ac_ext=c
    2085020878ac_cpp='$CPP $CPPFLAGS'
    2085120879ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     
    2085320881ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2085420882
    20855                     LIBS="$coin_save_LIBS"
    20856                   fi
    20857 
    20858   ADDLIBS="$CPXLIB $ADDLIBS"
     20883           if test x"$coin_CPX_link" = xyes ; then
     20884             LIBS="$coin_save_LIBS"
     20885           else
     20886             { { echo "$as_me:$LINENO: error: Cannot find symbol(s) CPXgetstat with CPX" >&5
     20887echo "$as_me: error: Cannot find symbol(s) CPXgetstat with CPX" >&2;}
     20888   { (exit 1); exit 1; }; }
     20889           fi
     20890         fi
     20891
     20892
     20893# If we make it this far, we've verified the file and linked the function. Add
     20894# the necessary link flags to ADDLIBS and define the preprocessor symbol
     20895# COIN_HAS_LBRY.
     20896
     20897    ADDLIBS="$CPXLIB $ADDLIBS"
    2085920898
    2086020899cat >>confdefs.h <<\_ACEOF
     
    2086220901_ACEOF
    2086320902
    20864 else
    20865   echo "$as_me:$LINENO: result: no" >&5
    20866 echo "${ECHO_T}no" >&6
    20867 fi
     20903  fi
     20904
     20905# Arrange for configure to substitute LBRYINCDIR and LBRYLIB and create the
     20906# automake conditional. These actions must occur unconditionally.
    2086820907
    2086920908
     
    2088120920
    2088220921
    20883 echo "$as_me:$LINENO: checking if user provides library for Glpk" >&5
     20922  echo "$as_me:$LINENO: checking if user provides library for Glpk" >&5
    2088420923echo $ECHO_N "checking if user provides library for Glpk... $ECHO_C" >&6
    2088520924
    2088620925# Check for header file directory
     20926
    2088720927
    2088820928# Check whether --with-glpk-incdir or --without-glpk-incdir was given.
     
    2089120931  GLPKINCDIR=`cd $withval; pwd`
    2089220932fi;
     20933
    2089320934# Check for library directory
     20935
    2089420936
    2089520937# Check whether --with-glpk-lib or --without-glpk-lib was given.
     
    2089820940  GLPKLIB=$withval
    2089920941fi;
     20942
    2090020943# Switch to disable library check if requested
    20901 # Check whether --enable-glpk-libcheck or --disable-glpk-libcheck was given.
     20944
     20945  # Check whether --enable-glpk-libcheck or --disable-glpk-libcheck was given.
    2090220946if test "${enable_glpk_libcheck+set}" = set; then
    2090320947  enableval="$enable_glpk_libcheck"
     
    2090720951fi;
    2090820952
    20909 if test x"$GLPKINCDIR" != x || test x"$GLPKLIB" != x; then
    20910   coin_has_glpk=true
    20911 else
    20912   coin_has_glpk=false
    20913 fi
    20914 
    20915 if test $coin_has_glpk = true; then
    20916 # Check either both arguments or none are given
    20917   if test x"$GLPKINCDIR" = x || test x"$GLPKLIB" = x; then
    20918     { { echo "$as_me:$LINENO: error: You need to specify both --with-glpk-incdir and --with-glpk-lib if you want to use library Glpk" >&5
    20919 echo "$as_me: error: You need to specify both --with-glpk-incdir and --with-glpk-lib if you want to use library Glpk" >&2;}
     20953# At this point, if we're going to use the library, both LBRYINCDIR and
     20954# LBRYLIB must be defined and not empty.
     20955
     20956  if test x"$GLPKINCDIR" != x || test x"$GLPKLIB" != x; then
     20957    if test x"$GLPKINCDIR" = x || test x"$GLPKLIB" = x; then
     20958      { { echo "$as_me:$LINENO: error: You need to specify both an include directory and link flags to use library Glpk. Use --with-glpk-incdir of environment variable $GLPKINCDIR to specify the include directory. Use --with-glpk-lib or environment variable $GLPKLIB to specify link flags." >&5
     20959echo "$as_me: error: You need to specify both an include directory and link flags to use library Glpk. Use --with-glpk-incdir of environment variable $GLPKINCDIR to specify the include directory. Use --with-glpk-lib or environment variable $GLPKLIB to specify link flags." >&2;}
    2092020960   { (exit 1); exit 1; }; }
     20961    fi
     20962    coin_has_glpk=true
     20963    echo "$as_me:$LINENO: result: yes" >&5
     20964echo "${ECHO_T}yes" >&6
     20965  else
     20966    coin_has_glpk=false
     20967    echo "$as_me:$LINENO: result: no" >&5
     20968echo "${ECHO_T}no" >&6
    2092120969  fi
    20922   echo "$as_me:$LINENO: result: yes" >&5
    20923 echo "${ECHO_T}yes" >&6
    20924   # Check if the given header file is there
    20925   as_ac_File=`echo "ac_cv_file_$GLPKINCDIR/glpk.h" | $as_tr_sh`
     20970
     20971# If we have instructions for use, consider header and link checks.
     20972
     20973  if test $coin_has_glpk = true; then
     20974
     20975# If argument 3 (file) is given, check for the file. Typically this will be a
     20976# header file, but that's not assumed.
     20977
     20978    as_ac_File=`echo "ac_cv_file_$GLPKINCDIR/glpk.h" | $as_tr_sh`
    2092620979echo "$as_me:$LINENO: checking for $GLPKINCDIR/glpk.h" >&5
    2092720980echo $ECHO_N "checking for $GLPKINCDIR/glpk.h... $ECHO_C" >&6
     
    2095021003
    2095121004
    20952   # Check if the symbol is provided in the library
    20953   # ToDo: FOR NOW WE ASSUME THAT WE ARE USING THE C++ COMPILER
    20954   if test x"$glpk_libcheck" != xno; then
    20955                     coin_save_LIBS="$LIBS"
    20956                     LIBS="$GLPKLIB $ADDLIBS"
    20957                     echo "$as_me:$LINENO: checking whether symbol glp_lpx_simplex is available with GLPK" >&5
    20958 echo $ECHO_N "checking whether symbol glp_lpx_simplex is available with GLPK... $ECHO_C" >&6
    20959                     ac_ext=c
     21005# Now see if we can link the function. There are arguments for and against
     21006# assuming argument 3 is a header file declaring the function. A correct
     21007# function declaration is the main argument in favour. Having to cope with
     21008# possible dependencies or other oddities are the main arguments against.
     21009# Force the use of C as the best single choice amongst C++, C, and Fortran.
     21010# Obviously, this has limits.
     21011
     21012    if test x"$glpk_libcheck" != xno; then
     21013           coin_save_LIBS="$LIBS"
     21014           LIBS="$GLPKLIB $ADDLIBS"
     21015           coin_GLPK_link=no
     21016           ac_ext=c
    2096021017ac_cpp='$CPP $CPPFLAGS'
    2096121018ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     
    2096321020ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2096421021
    20965 # ToDo find out what to do about extern "C"
    20966 #                    AC_TRY_LINK([extern "C" {void glp_lpx_simplex();}],[glp_lpx_simplex()],
    20967                     cat >conftest.$ac_ext <<_ACEOF
     21022           for fnm in _glp_lpx_simplex glp_lpx_simplex ; do
     21023             echo "$as_me:$LINENO: checking whether symbol $fnm is available with GLPK" >&5
     21024echo $ECHO_N "checking whether symbol $fnm is available with GLPK... $ECHO_C" >&6
     21025             cat >conftest.$ac_ext <<_ACEOF
    2096821026/* confdefs.h.  */
    2096921027_ACEOF
     
    2097121029cat >>conftest.$ac_ext <<_ACEOF
    2097221030/* end confdefs.h.  */
    20973 void glp_lpx_simplex();
     21031
    2097421032int
    2097521033main ()
    2097621034{
    20977 glp_lpx_simplex()
     21035$fnm()
    2097821036  ;
    2097921037  return 0;
     
    2100421062  echo "$as_me:$LINENO: result: yes" >&5
    2100521063echo "${ECHO_T}yes" >&6
     21064                  coin_GLPK_link=yes
     21065                  break
    2100621066else
    2100721067  echo "$as_me: failed program was:" >&5
     
    2101021070echo "$as_me:$LINENO: result: no" >&5
    2101121071echo "${ECHO_T}no" >&6
    21012                                  { { echo "$as_me:$LINENO: error: Cannot find symbol glp_lpx_simplex with GLPK" >&5
    21013 echo "$as_me: error: Cannot find symbol glp_lpx_simplex with GLPK" >&2;}
    21014    { (exit 1); exit 1; }; }
    2101521072fi
    2101621073rm -f conftest.err conftest.$ac_objext \
    2101721074      conftest$ac_exeext conftest.$ac_ext
    21018                     ac_ext=c
     21075           done
     21076           ac_ext=c
    2101921077ac_cpp='$CPP $CPPFLAGS'
    2102021078ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     
    2102221080ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2102321081
    21024                     LIBS="$coin_save_LIBS"
    21025                   fi
    21026 
    21027   ADDLIBS="$GLPKLIB $ADDLIBS"
     21082           if test x"$coin_GLPK_link" = xyes ; then
     21083             LIBS="$coin_save_LIBS"
     21084           else
     21085             { { echo "$as_me:$LINENO: error: Cannot find symbol(s) _glp_lpx_simplex glp_lpx_simplex with GLPK" >&5
     21086echo "$as_me: error: Cannot find symbol(s) _glp_lpx_simplex glp_lpx_simplex with GLPK" >&2;}
     21087   { (exit 1); exit 1; }; }
     21088           fi
     21089         fi
     21090
     21091
     21092# If we make it this far, we've verified the file and linked the function. Add
     21093# the necessary link flags to ADDLIBS and define the preprocessor symbol
     21094# COIN_HAS_LBRY.
     21095
     21096    ADDLIBS="$GLPKLIB $ADDLIBS"
    2102821097
    2102921098cat >>confdefs.h <<\_ACEOF
     
    2103121100_ACEOF
    2103221101
    21033 else
    21034   echo "$as_me:$LINENO: result: no" >&5
    21035 echo "${ECHO_T}no" >&6
    21036 fi
     21102  fi
     21103
     21104# Arrange for configure to substitute LBRYINCDIR and LBRYLIB and create the
     21105# automake conditional. These actions must occur unconditionally.
    2103721106
    2103821107
     
    2105021119
    2105121120
    21052 echo "$as_me:$LINENO: checking if user provides library for FortMP" >&5
     21121  echo "$as_me:$LINENO: checking if user provides library for FortMP" >&5
    2105321122echo $ECHO_N "checking if user provides library for FortMP... $ECHO_C" >&6
    2105421123
    2105521124# Check for header file directory
     21125
    2105621126
    2105721127# Check whether --with-fortmp-incdir or --without-fortmp-incdir was given.
     
    2106021130  FMPINCDIR=`cd $withval; pwd`
    2106121131fi;
     21132
    2106221133# Check for library directory
     21134
    2106321135
    2106421136# Check whether --with-fortmp-lib or --without-fortmp-lib was given.
     
    2106721139  FMPLIB=$withval
    2106821140fi;
     21141
    2106921142# Switch to disable library check if requested
    21070 # Check whether --enable-fortmp-libcheck or --disable-fortmp-libcheck was given.
     21143
     21144  # Check whether --enable-fortmp-libcheck or --disable-fortmp-libcheck was given.
    2107121145if test "${enable_fortmp_libcheck+set}" = set; then
    2107221146  enableval="$enable_fortmp_libcheck"
     
    2107621150fi;
    2107721151
    21078 if test x"$FMPINCDIR" != x || test x"$FMPLIB" != x; then
    21079   coin_has_fmp=true
    21080 else
    21081   coin_has_fmp=false
    21082 fi
    21083 
    21084 if test $coin_has_fmp = true; then
    21085 # Check either both arguments or none are given
    21086   if test x"$FMPINCDIR" = x || test x"$FMPLIB" = x; then
    21087     { { echo "$as_me:$LINENO: error: You need to specify both --with-fortmp-incdir and --with-fortmp-lib if you want to use library FortMP" >&5
    21088 echo "$as_me: error: You need to specify both --with-fortmp-incdir and --with-fortmp-lib if you want to use library FortMP" >&2;}
     21152# At this point, if we're going to use the library, both LBRYINCDIR and
     21153# LBRYLIB must be defined and not empty.
     21154
     21155  if test x"$FMPINCDIR" != x || test x"$FMPLIB" != x; then
     21156    if test x"$FMPINCDIR" = x || test x"$FMPLIB" = x; then
     21157      { { echo "$as_me:$LINENO: error: You need to specify both an include directory and link flags to use library FortMP. Use --with-fortmp-incdir of environment variable $FMPINCDIR to specify the include directory. Use --with-fortmp-lib or environment variable $FMPLIB to specify link flags." >&5
     21158echo "$as_me: error: You need to specify both an include directory and link flags to use library FortMP. Use --with-fortmp-incdir of environment variable $FMPINCDIR to specify the include directory. Use --with-fortmp-lib or environment variable $FMPLIB to specify link flags." >&2;}
    2108921159   { (exit 1); exit 1; }; }
     21160    fi
     21161    coin_has_fmp=true
     21162    echo "$as_me:$LINENO: result: yes" >&5
     21163echo "${ECHO_T}yes" >&6
     21164  else
     21165    coin_has_fmp=false
     21166    echo "$as_me:$LINENO: result: no" >&5
     21167echo "${ECHO_T}no" >&6
    2109021168  fi
    21091   echo "$as_me:$LINENO: result: yes" >&5
    21092 echo "${ECHO_T}yes" >&6
    21093   # Check if the given header file is there
    21094 
    21095   # Check if the symbol is provided in the library
    21096   # ToDo: FOR NOW WE ASSUME THAT WE ARE USING THE C++ COMPILER
    21097 
    21098   ADDLIBS="$FMPLIB $ADDLIBS"
     21169
     21170# If we have instructions for use, consider header and link checks.
     21171
     21172  if test $coin_has_fmp = true; then
     21173
     21174# If argument 3 (file) is given, check for the file. Typically this will be a
     21175# header file, but that's not assumed.
     21176
     21177
     21178
     21179# Now see if we can link the function. There are arguments for and against
     21180# assuming argument 3 is a header file declaring the function. A correct
     21181# function declaration is the main argument in favour. Having to cope with
     21182# possible dependencies or other oddities are the main arguments against.
     21183# Force the use of C as the best single choice amongst C++, C, and Fortran.
     21184# Obviously, this has limits.
     21185
     21186
     21187
     21188# If we make it this far, we've verified the file and linked the function. Add
     21189# the necessary link flags to ADDLIBS and define the preprocessor symbol
     21190# COIN_HAS_LBRY.
     21191
     21192    ADDLIBS="$FMPLIB $ADDLIBS"
    2109921193
    2110021194cat >>confdefs.h <<\_ACEOF
     
    2110221196_ACEOF
    2110321197
    21104 else
    21105   echo "$as_me:$LINENO: result: no" >&5
    21106 echo "${ECHO_T}no" >&6
    21107 fi
     21198  fi
     21199
     21200# Arrange for configure to substitute LBRYINCDIR and LBRYLIB and create the
     21201# automake conditional. These actions must occur unconditionally.
    2110821202
    2110921203
     
    2112121215  #ToDo! is Fortran?
    2112221216
    21123 echo "$as_me:$LINENO: checking if user provides library for Mosek" >&5
     21217  echo "$as_me:$LINENO: checking if user provides library for Mosek" >&5
    2112421218echo $ECHO_N "checking if user provides library for Mosek... $ECHO_C" >&6
    2112521219
    2112621220# Check for header file directory
     21221
    2112721222
    2112821223# Check whether --with-mosek-incdir or --without-mosek-incdir was given.
     
    2113121226  MSKINCDIR=`cd $withval; pwd`
    2113221227fi;
     21228
    2113321229# Check for library directory
     21230
    2113421231
    2113521232# Check whether --with-mosek-lib or --without-mosek-lib was given.
     
    2113821235  MSKLIB=$withval
    2113921236fi;
     21237
    2114021238# Switch to disable library check if requested
    21141 # Check whether --enable-mosek-libcheck or --disable-mosek-libcheck was given.
     21239
     21240  # Check whether --enable-mosek-libcheck or --disable-mosek-libcheck was given.
    2114221241if test "${enable_mosek_libcheck+set}" = set; then
    2114321242  enableval="$enable_mosek_libcheck"
     
    2114721246fi;
    2114821247
    21149 if test x"$MSKINCDIR" != x || test x"$MSKLIB" != x; then
    21150   coin_has_msk=true
    21151 else
    21152   coin_has_msk=false
    21153 fi
    21154 
    21155 if test $coin_has_msk = true; then
    21156 # Check either both arguments or none are given
    21157   if test x"$MSKINCDIR" = x || test x"$MSKLIB" = x; then
    21158     { { echo "$as_me:$LINENO: error: You need to specify both --with-mosek-incdir and --with-mosek-lib if you want to use library Mosek" >&5
    21159 echo "$as_me: error: You need to specify both --with-mosek-incdir and --with-mosek-lib if you want to use library Mosek" >&2;}
     21248# At this point, if we're going to use the library, both LBRYINCDIR and
     21249# LBRYLIB must be defined and not empty.
     21250
     21251  if test x"$MSKINCDIR" != x || test x"$MSKLIB" != x; then
     21252    if test x"$MSKINCDIR" = x || test x"$MSKLIB" = x; then
     21253      { { echo "$as_me:$LINENO: error: You need to specify both an include directory and link flags to use library Mosek. Use --with-mosek-incdir of environment variable $MSKINCDIR to specify the include directory. Use --with-mosek-lib or environment variable $MSKLIB to specify link flags." >&5
     21254echo "$as_me: error: You need to specify both an include directory and link flags to use library Mosek. Use --with-mosek-incdir of environment variable $MSKINCDIR to specify the include directory. Use --with-mosek-lib or environment variable $MSKLIB to specify link flags." >&2;}
    2116021255   { (exit 1); exit 1; }; }
     21256    fi
     21257    coin_has_msk=true
     21258    echo "$as_me:$LINENO: result: yes" >&5
     21259echo "${ECHO_T}yes" >&6
     21260  else
     21261    coin_has_msk=false
     21262    echo "$as_me:$LINENO: result: no" >&5
     21263echo "${ECHO_T}no" >&6
    2116121264  fi
    21162   echo "$as_me:$LINENO: result: yes" >&5
    21163 echo "${ECHO_T}yes" >&6
    21164   # Check if the given header file is there
    21165   as_ac_File=`echo "ac_cv_file_$MSKINCDIR/mosekdl.h" | $as_tr_sh`
     21265
     21266# If we have instructions for use, consider header and link checks.
     21267
     21268  if test $coin_has_msk = true; then
     21269
     21270# If argument 3 (file) is given, check for the file. Typically this will be a
     21271# header file, but that's not assumed.
     21272
     21273    as_ac_File=`echo "ac_cv_file_$MSKINCDIR/mosekdl.h" | $as_tr_sh`
    2116621274echo "$as_me:$LINENO: checking for $MSKINCDIR/mosekdl.h" >&5
    2116721275echo $ECHO_N "checking for $MSKINCDIR/mosekdl.h... $ECHO_C" >&6
     
    2119021298
    2119121299
    21192   # Check if the symbol is provided in the library
    21193   # ToDo: FOR NOW WE ASSUME THAT WE ARE USING THE C++ COMPILER
    21194   if test x"$mosek_libcheck" != xno; then
    21195                     coin_save_LIBS="$LIBS"
    21196                     LIBS="$MSKLIB $ADDLIBS"
    21197                     echo "$as_me:$LINENO: checking whether symbol MSK_openmosek is available with MSK" >&5
    21198 echo $ECHO_N "checking whether symbol MSK_openmosek is available with MSK... $ECHO_C" >&6
    21199                     ac_ext=c
     21300# Now see if we can link the function. There are arguments for and against
     21301# assuming argument 3 is a header file declaring the function. A correct
     21302# function declaration is the main argument in favour. Having to cope with
     21303# possible dependencies or other oddities are the main arguments against.
     21304# Force the use of C as the best single choice amongst C++, C, and Fortran.
     21305# Obviously, this has limits.
     21306
     21307    if test x"$mosek_libcheck" != xno; then
     21308           coin_save_LIBS="$LIBS"
     21309           LIBS="$MSKLIB $ADDLIBS"
     21310           coin_MSK_link=no
     21311           ac_ext=c
    2120021312ac_cpp='$CPP $CPPFLAGS'
    2120121313ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     
    2120321315ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2120421316
    21205 # ToDo find out what to do about extern "C"
    21206 #                    AC_TRY_LINK([extern "C" {void MSK_openmosek();}],[MSK_openmosek()],
    21207                     cat >conftest.$ac_ext <<_ACEOF
     21317           for fnm in MSK_openmosek ; do
     21318             echo "$as_me:$LINENO: checking whether symbol $fnm is available with MSK" >&5
     21319echo $ECHO_N "checking whether symbol $fnm is available with MSK... $ECHO_C" >&6
     21320             cat >conftest.$ac_ext <<_ACEOF
    2120821321/* confdefs.h.  */
    2120921322_ACEOF
     
    2121121324cat >>conftest.$ac_ext <<_ACEOF
    2121221325/* end confdefs.h.  */
    21213 void MSK_openmosek();
     21326
    2121421327int
    2121521328main ()
    2121621329{
    21217 MSK_openmosek()
     21330$fnm()
    2121821331  ;
    2121921332  return 0;
     
    2124421357  echo "$as_me:$LINENO: result: yes" >&5
    2124521358echo "${ECHO_T}yes" >&6
     21359                  coin_MSK_link=yes
     21360                  break
    2124621361else
    2124721362  echo "$as_me: failed program was:" >&5
     
    2125021365echo "$as_me:$LINENO: result: no" >&5
    2125121366echo "${ECHO_T}no" >&6
    21252                                  { { echo "$as_me:$LINENO: error: Cannot find symbol MSK_openmosek with MSK" >&5
    21253 echo "$as_me: error: Cannot find symbol MSK_openmosek with MSK" >&2;}
    21254    { (exit 1); exit 1; }; }
    2125521367fi
    2125621368rm -f conftest.err conftest.$ac_objext \
    2125721369      conftest$ac_exeext conftest.$ac_ext
    21258                     ac_ext=c
     21370           done
     21371           ac_ext=c
    2125921372ac_cpp='$CPP $CPPFLAGS'
    2126021373ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     
    2126221375ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2126321376
    21264                     LIBS="$coin_save_LIBS"
    21265                   fi
    21266 
    21267   ADDLIBS="$MSKLIB $ADDLIBS"
     21377           if test x"$coin_MSK_link" = xyes ; then
     21378             LIBS="$coin_save_LIBS"
     21379           else
     21380             { { echo "$as_me:$LINENO: error: Cannot find symbol(s) MSK_openmosek with MSK" >&5
     21381echo "$as_me: error: Cannot find symbol(s) MSK_openmosek with MSK" >&2;}
     21382   { (exit 1); exit 1; }; }
     21383           fi
     21384         fi
     21385
     21386
     21387# If we make it this far, we've verified the file and linked the function. Add
     21388# the necessary link flags to ADDLIBS and define the preprocessor symbol
     21389# COIN_HAS_LBRY.
     21390
     21391    ADDLIBS="$MSKLIB $ADDLIBS"
    2126821392
    2126921393cat >>confdefs.h <<\_ACEOF
     
    2127121395_ACEOF
    2127221396
    21273 else
    21274   echo "$as_me:$LINENO: result: no" >&5
    21275 echo "${ECHO_T}no" >&6
    21276 fi
     21397  fi
     21398
     21399# Arrange for configure to substitute LBRYINCDIR and LBRYLIB and create the
     21400# automake conditional. These actions must occur unconditionally.
    2127721401
    2127821402
     
    2129021414
    2129121415
    21292 echo "$as_me:$LINENO: checking if user provides library for Osl" >&5
     21416  echo "$as_me:$LINENO: checking if user provides library for Osl" >&5
    2129321417echo $ECHO_N "checking if user provides library for Osl... $ECHO_C" >&6
    2129421418
    2129521419# Check for header file directory
     21420
    2129621421
    2129721422# Check whether --with-osl-incdir or --without-osl-incdir was given.
     
    2130021425  OSLINCDIR=`cd $withval; pwd`
    2130121426fi;
     21427
    2130221428# Check for library directory
     21429
    2130321430
    2130421431# Check whether --with-osl-lib or --without-osl-lib was given.
     
    2130721434  OSLLIB=$withval
    2130821435fi;
     21436
    2130921437# Switch to disable library check if requested
    21310 # Check whether --enable-osl-libcheck or --disable-osl-libcheck was given.
     21438
     21439  # Check whether --enable-osl-libcheck or --disable-osl-libcheck was given.
    2131121440if test "${enable_osl_libcheck+set}" = set; then
    2131221441  enableval="$enable_osl_libcheck"
     
    2131621445fi;
    2131721446
    21318 if test x"$OSLINCDIR" != x || test x"$OSLLIB" != x; then
    21319   coin_has_osl=true
    21320 else
    21321   coin_has_osl=false
    21322 fi
    21323 
    21324 if test $coin_has_osl = true; then
    21325 # Check either both arguments or none are given
    21326   if test x"$OSLINCDIR" = x || test x"$OSLLIB" = x; then
    21327     { { echo "$as_me:$LINENO: error: You need to specify both --with-osl-incdir and --with-osl-lib if you want to use library Osl" >&5
    21328 echo "$as_me: error: You need to specify both --with-osl-incdir and --with-osl-lib if you want to use library Osl" >&2;}
     21447# At this point, if we're going to use the library, both LBRYINCDIR and
     21448# LBRYLIB must be defined and not empty.
     21449
     21450  if test x"$OSLINCDIR" != x || test x"$OSLLIB" != x; then
     21451    if test x"$OSLINCDIR" = x || test x"$OSLLIB" = x; then
     21452      { { echo "$as_me:$LINENO: error: You need to specify both an include directory and link flags to use library Osl. Use --with-osl-incdir of environment variable $OSLINCDIR to specify the include directory. Use --with-osl-lib or environment variable $OSLLIB to specify link flags." >&5
     21453echo "$as_me: error: You need to specify both an include directory and link flags to use library Osl. Use --with-osl-incdir of environment variable $OSLINCDIR to specify the include directory. Use --with-osl-lib or environment variable $OSLLIB to specify link flags." >&2;}
    2132921454   { (exit 1); exit 1; }; }
     21455    fi
     21456    coin_has_osl=true
     21457    echo "$as_me:$LINENO: result: yes" >&5
     21458echo "${ECHO_T}yes" >&6
     21459  else
     21460    coin_has_osl=false
     21461    echo "$as_me:$LINENO: result: no" >&5
     21462echo "${ECHO_T}no" >&6
    2133021463  fi
    21331   echo "$as_me:$LINENO: result: yes" >&5
    21332 echo "${ECHO_T}yes" >&6
    21333   # Check if the given header file is there
    21334   as_ac_File=`echo "ac_cv_file_$OSLINCDIR/ekk_c_api.h" | $as_tr_sh`
     21464
     21465# If we have instructions for use, consider header and link checks.
     21466
     21467  if test $coin_has_osl = true; then
     21468
     21469# If argument 3 (file) is given, check for the file. Typically this will be a
     21470# header file, but that's not assumed.
     21471
     21472    as_ac_File=`echo "ac_cv_file_$OSLINCDIR/ekk_c_api.h" | $as_tr_sh`
    2133521473echo "$as_me:$LINENO: checking for $OSLINCDIR/ekk_c_api.h" >&5
    2133621474echo $ECHO_N "checking for $OSLINCDIR/ekk_c_api.h... $ECHO_C" >&6
     
    2135921497
    2136021498
    21361   # Check if the symbol is provided in the library
    21362   # ToDo: FOR NOW WE ASSUME THAT WE ARE USING THE C++ COMPILER
    21363   if test x"$osl_libcheck" != xno; then
    21364                     coin_save_LIBS="$LIBS"
    21365                     LIBS="$OSLLIB $ADDLIBS"
    21366                     echo "$as_me:$LINENO: checking whether symbol ekk_simplex is available with OSL" >&5
    21367 echo $ECHO_N "checking whether symbol ekk_simplex is available with OSL... $ECHO_C" >&6
    21368                     ac_ext=c
     21499# Now see if we can link the function. There are arguments for and against
     21500# assuming argument 3 is a header file declaring the function. A correct
     21501# function declaration is the main argument in favour. Having to cope with
     21502# possible dependencies or other oddities are the main arguments against.
     21503# Force the use of C as the best single choice amongst C++, C, and Fortran.
     21504# Obviously, this has limits.
     21505
     21506    if test x"$osl_libcheck" != xno; then
     21507           coin_save_LIBS="$LIBS"
     21508           LIBS="$OSLLIB $ADDLIBS"
     21509           coin_OSL_link=no
     21510           ac_ext=c
    2136921511ac_cpp='$CPP $CPPFLAGS'
    2137021512ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     
    2137221514ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2137321515
    21374 # ToDo find out what to do about extern "C"
    21375 #                    AC_TRY_LINK([extern "C" {void ekk_simplex();}],[ekk_simplex()],
    21376                     cat >conftest.$ac_ext <<_ACEOF
     21516           for fnm in ekk_simplex ; do
     21517             echo "$as_me:$LINENO: checking whether symbol $fnm is available with OSL" >&5
     21518echo $ECHO_N "checking whether symbol $fnm is available with OSL... $ECHO_C" >&6
     21519             cat >conftest.$ac_ext <<_ACEOF
    2137721520/* confdefs.h.  */
    2137821521_ACEOF
     
    2138021523cat >>conftest.$ac_ext <<_ACEOF
    2138121524/* end confdefs.h.  */
    21382 void ekk_simplex();
     21525
    2138321526int
    2138421527main ()
    2138521528{
    21386 ekk_simplex()
     21529$fnm()
    2138721530  ;
    2138821531  return 0;
     
    2141321556  echo "$as_me:$LINENO: result: yes" >&5
    2141421557echo "${ECHO_T}yes" >&6
     21558                  coin_OSL_link=yes
     21559                  break
    2141521560else
    2141621561  echo "$as_me: failed program was:" >&5
     
    2141921564echo "$as_me:$LINENO: result: no" >&5
    2142021565echo "${ECHO_T}no" >&6
    21421                                  { { echo "$as_me:$LINENO: error: Cannot find symbol ekk_simplex with OSL" >&5
    21422 echo "$as_me: error: Cannot find symbol ekk_simplex with OSL" >&2;}
    21423    { (exit 1); exit 1; }; }
    2142421566fi
    2142521567rm -f conftest.err conftest.$ac_objext \
    2142621568      conftest$ac_exeext conftest.$ac_ext
    21427                     ac_ext=c
     21569           done
     21570           ac_ext=c
    2142821571ac_cpp='$CPP $CPPFLAGS'
    2142921572ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     
    2143121574ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2143221575
    21433                     LIBS="$coin_save_LIBS"
    21434                   fi
    21435 
    21436   ADDLIBS="$OSLLIB $ADDLIBS"
     21576           if test x"$coin_OSL_link" = xyes ; then
     21577             LIBS="$coin_save_LIBS"
     21578           else
     21579             { { echo "$as_me:$LINENO: error: Cannot find symbol(s) ekk_simplex with OSL" >&5
     21580echo "$as_me: error: Cannot find symbol(s) ekk_simplex with OSL" >&2;}
     21581   { (exit 1); exit 1; }; }
     21582           fi
     21583         fi
     21584
     21585
     21586# If we make it this far, we've verified the file and linked the function. Add
     21587# the necessary link flags to ADDLIBS and define the preprocessor symbol
     21588# COIN_HAS_LBRY.
     21589
     21590    ADDLIBS="$OSLLIB $ADDLIBS"
    2143721591
    2143821592cat >>confdefs.h <<\_ACEOF
     
    2144021594_ACEOF
    2144121595
    21442 else
    21443   echo "$as_me:$LINENO: result: no" >&5
    21444 echo "${ECHO_T}no" >&6
    21445 fi
     21596  fi
     21597
     21598# Arrange for configure to substitute LBRYINCDIR and LBRYLIB and create the
     21599# automake conditional. These actions must occur unconditionally.
    2144621600
    2144721601
     
    2145921613
    2146021614
    21461 echo "$as_me:$LINENO: checking if user provides library for Soplex" >&5
     21615  echo "$as_me:$LINENO: checking if user provides library for Soplex" >&5
    2146221616echo $ECHO_N "checking if user provides library for Soplex... $ECHO_C" >&6
    2146321617
    2146421618# Check for header file directory
     21619
    2146521620
    2146621621# Check whether --with-soplex-incdir or --without-soplex-incdir was given.
     
    2146921624  SPXINCDIR=`cd $withval; pwd`
    2147021625fi;
     21626
    2147121627# Check for library directory
     21628
    2147221629
    2147321630# Check whether --with-soplex-lib or --without-soplex-lib was given.
     
    2147621633  SPXLIB=$withval
    2147721634fi;
     21635
    2147821636# Switch to disable library check if requested
    21479 # Check whether --enable-soplex-libcheck or --disable-soplex-libcheck was given.
     21637
     21638  # Check whether --enable-soplex-libcheck or --disable-soplex-libcheck was given.
    2148021639if test "${enable_soplex_libcheck+set}" = set; then
    2148121640  enableval="$enable_soplex_libcheck"
     
    2148521644fi;
    2148621645
    21487 if test x"$SPXINCDIR" != x || test x"$SPXLIB" != x; then
    21488   coin_has_spx=true
    21489 else
    21490   coin_has_spx=false
    21491 fi
    21492 
    21493 if test $coin_has_spx = true; then
    21494 # Check either both arguments or none are given
    21495   if test x"$SPXINCDIR" = x || test x"$SPXLIB" = x; then
    21496     { { echo "$as_me:$LINENO: error: You need to specify both --with-soplex-incdir and --with-soplex-lib if you want to use library Soplex" >&5
    21497 echo "$as_me: error: You need to specify both --with-soplex-incdir and --with-soplex-lib if you want to use library Soplex" >&2;}
     21646# At this point, if we're going to use the library, both LBRYINCDIR and
     21647# LBRYLIB must be defined and not empty.
     21648
     21649  if test x"$SPXINCDIR" != x || test x"$SPXLIB" != x; then
     21650    if test x"$SPXINCDIR" = x || test x"$SPXLIB" = x; then
     21651      { { echo "$as_me:$LINENO: error: You need to specify both an include directory and link flags to use library Soplex. Use --with-soplex-incdir of environment variable $SPXINCDIR to specify the include directory. Use --with-soplex-lib or environment variable $SPXLIB to specify link flags." >&5
     21652echo "$as_me: error: You need to specify both an include directory and link flags to use library Soplex. Use --with-soplex-incdir of environment variable $SPXINCDIR to specify the include directory. Use --with-soplex-lib or environment variable $SPXLIB to specify link flags." >&2;}
    2149821653   { (exit 1); exit 1; }; }
     21654    fi
     21655    coin_has_spx=true
     21656    echo "$as_me:$LINENO: result: yes" >&5
     21657echo "${ECHO_T}yes" >&6
     21658  else
     21659    coin_has_spx=false
     21660    echo "$as_me:$LINENO: result: no" >&5
     21661echo "${ECHO_T}no" >&6
    2149921662  fi
    21500   echo "$as_me:$LINENO: result: yes" >&5
    21501 echo "${ECHO_T}yes" >&6
    21502   # Check if the given header file is there
    21503   as_ac_File=`echo "ac_cv_file_$SPXINCDIR/spxsolver.h" | $as_tr_sh`
     21663
     21664# If we have instructions for use, consider header and link checks.
     21665
     21666  if test $coin_has_spx = true; then
     21667
     21668# If argument 3 (file) is given, check for the file. Typically this will be a
     21669# header file, but that's not assumed.
     21670
     21671    as_ac_File=`echo "ac_cv_file_$SPXINCDIR/spxsolver.h" | $as_tr_sh`
    2150421672echo "$as_me:$LINENO: checking for $SPXINCDIR/spxsolver.h" >&5
    2150521673echo $ECHO_N "checking for $SPXINCDIR/spxsolver.h... $ECHO_C" >&6
     
    2152821696
    2152921697
    21530   # Check if the symbol is provided in the library
    21531   # ToDo: FOR NOW WE ASSUME THAT WE ARE USING THE C++ COMPILER
    21532 
    21533   ADDLIBS="$SPXLIB $ADDLIBS"
     21698# Now see if we can link the function. There are arguments for and against
     21699# assuming argument 3 is a header file declaring the function. A correct
     21700# function declaration is the main argument in favour. Having to cope with
     21701# possible dependencies or other oddities are the main arguments against.
     21702# Force the use of C as the best single choice amongst C++, C, and Fortran.
     21703# Obviously, this has limits.
     21704
     21705
     21706
     21707# If we make it this far, we've verified the file and linked the function. Add
     21708# the necessary link flags to ADDLIBS and define the preprocessor symbol
     21709# COIN_HAS_LBRY.
     21710
     21711    ADDLIBS="$SPXLIB $ADDLIBS"
    2153421712
    2153521713cat >>confdefs.h <<\_ACEOF
     
    2153721715_ACEOF
    2153821716
    21539 else
    21540   echo "$as_me:$LINENO: result: no" >&5
    21541 echo "${ECHO_T}no" >&6
    21542 fi
     21717  fi
     21718
     21719# Arrange for configure to substitute LBRYINCDIR and LBRYLIB and create the
     21720# automake conditional. These actions must occur unconditionally.
    2154321721
    2154421722
     
    2155621734 # ToDo
    2155721735
    21558 echo "$as_me:$LINENO: checking if user provides library for Xpress" >&5
     21736  echo "$as_me:$LINENO: checking if user provides library for Xpress" >&5
    2155921737echo $ECHO_N "checking if user provides library for Xpress... $ECHO_C" >&6
    2156021738
    2156121739# Check for header file directory
     21740
    2156221741
    2156321742# Check whether --with-xpress-incdir or --without-xpress-incdir was given.
     
    2156621745  XPRINCDIR=`cd $withval; pwd`
    2156721746fi;
     21747
    2156821748# Check for library directory
     21749
    2156921750
    2157021751# Check whether --with-xpress-lib or --without-xpress-lib was given.
     
    2157321754  XPRLIB=$withval
    2157421755fi;
     21756
    2157521757# Switch to disable library check if requested
    21576 # Check whether --enable-xpress-libcheck or --disable-xpress-libcheck was given.
     21758
     21759  # Check whether --enable-xpress-libcheck or --disable-xpress-libcheck was given.
    2157721760if test "${enable_xpress_libcheck+set}" = set; then
    2157821761  enableval="$enable_xpress_libcheck"
     
    2158221765fi;
    2158321766
    21584 if test x"$XPRINCDIR" != x || test x"$XPRLIB" != x; then
    21585   coin_has_xpr=true
    21586 else
    21587   coin_has_xpr=false
    21588 fi
    21589 
    21590 if test $coin_has_xpr = true; then
    21591 # Check either both arguments or none are given
    21592   if test x"$XPRINCDIR" = x || test x"$XPRLIB" = x; then
    21593     { { echo "$as_me:$LINENO: error: You need to specify both --with-xpress-incdir and --with-xpress-lib if you want to use library Xpress" >&5
    21594 echo "$as_me: error: You need to specify both --with-xpress-incdir and --with-xpress-lib if you want to use library Xpress" >&2;}
     21767# At this point, if we're going to use the library, both LBRYINCDIR and
     21768# LBRYLIB must be defined and not empty.
     21769
     21770  if test x"$XPRINCDIR" != x || test x"$XPRLIB" != x; then
     21771    if test x"$XPRINCDIR" = x || test x"$XPRLIB" = x; then
     21772      { { echo "$as_me:$LINENO: error: You need to specify both an include directory and link flags to use library Xpress. Use --with-xpress-incdir of environment variable $XPRINCDIR to specify the include directory. Use --with-xpress-lib or environment variable $XPRLIB to specify link flags." >&5
     21773echo "$as_me: error: You need to specify both an include directory and link flags to use library Xpress. Use --with-xpress-incdir of environment variable $XPRINCDIR to specify the include directory. Use --with-xpress-lib or environment variable $XPRLIB to specify link flags." >&2;}
    2159521774   { (exit 1); exit 1; }; }
     21775    fi
     21776    coin_has_xpr=true
     21777    echo "$as_me:$LINENO: result: yes" >&5
     21778echo "${ECHO_T}yes" >&6
     21779  else
     21780    coin_has_xpr=false
     21781    echo "$as_me:$LINENO: result: no" >&5
     21782echo "${ECHO_T}no" >&6
    2159621783  fi
    21597   echo "$as_me:$LINENO: result: yes" >&5
    21598 echo "${ECHO_T}yes" >&6
    21599   # Check if the given header file is there
    21600   as_ac_File=`echo "ac_cv_file_$XPRINCDIR/xprs.h" | $as_tr_sh`
     21784
     21785# If we have instructions for use, consider header and link checks.
     21786
     21787  if test $coin_has_xpr = true; then
     21788
     21789# If argument 3 (file) is given, check for the file. Typically this will be a
     21790# header file, but that's not assumed.
     21791
     21792    as_ac_File=`echo "ac_cv_file_$XPRINCDIR/xprs.h" | $as_tr_sh`
    2160121793echo "$as_me:$LINENO: checking for $XPRINCDIR/xprs.h" >&5
    2160221794echo $ECHO_N "checking for $XPRINCDIR/xprs.h... $ECHO_C" >&6
     
    2162521817
    2162621818
    21627   # Check if the symbol is provided in the library
    21628   # ToDo: FOR NOW WE ASSUME THAT WE ARE USING THE C++ COMPILER
    21629   if test x"$xpress_libcheck" != xno; then
    21630                     coin_save_LIBS="$LIBS"
    21631                     LIBS="$XPRLIB $ADDLIBS"
    21632                     echo "$as_me:$LINENO: checking whether symbol XPRSsetintcontrol is available with XPR" >&5
    21633 echo $ECHO_N "checking whether symbol XPRSsetintcontrol is available with XPR... $ECHO_C" >&6
    21634                     ac_ext=c
     21819# Now see if we can link the function. There are arguments for and against
     21820# assuming argument 3 is a header file declaring the function. A correct
     21821# function declaration is the main argument in favour. Having to cope with
     21822# possible dependencies or other oddities are the main arguments against.
     21823# Force the use of C as the best single choice amongst C++, C, and Fortran.
     21824# Obviously, this has limits.
     21825
     21826    if test x"$xpress_libcheck" != xno; then
     21827           coin_save_LIBS="$LIBS"
     21828           LIBS="$XPRLIB $ADDLIBS"
     21829           coin_XPR_link=no
     21830           ac_ext=c
    2163521831ac_cpp='$CPP $CPPFLAGS'
    2163621832ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     
    2163821834ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2163921835
    21640 # ToDo find out what to do about extern "C"
    21641 #                    AC_TRY_LINK([extern "C" {void XPRSsetintcontrol();}],[XPRSsetintcontrol()],
    21642                     cat >conftest.$ac_ext <<_ACEOF
     21836           for fnm in XPRSsetintcontrol ; do
     21837             echo "$as_me:$LINENO: checking whether symbol $fnm is available with XPR" >&5
     21838echo $ECHO_N "checking whether symbol $fnm is available with XPR... $ECHO_C" >&6
     21839             cat >conftest.$ac_ext <<_ACEOF
    2164321840/* confdefs.h.  */
    2164421841_ACEOF
     
    2164621843cat >>conftest.$ac_ext <<_ACEOF
    2164721844/* end confdefs.h.  */
    21648 void XPRSsetintcontrol();
     21845
    2164921846int
    2165021847main ()
    2165121848{
    21652 XPRSsetintcontrol()
     21849$fnm()
    2165321850  ;
    2165421851  return 0;
     
    2167921876  echo "$as_me:$LINENO: result: yes" >&5
    2168021877echo "${ECHO_T}yes" >&6
     21878                  coin_XPR_link=yes
     21879                  break
    2168121880else
    2168221881  echo "$as_me: failed program was:" >&5
     
    2168521884echo "$as_me:$LINENO: result: no" >&5
    2168621885echo "${ECHO_T}no" >&6
    21687                                  { { echo "$as_me:$LINENO: error: Cannot find symbol XPRSsetintcontrol with XPR" >&5
    21688 echo "$as_me: error: Cannot find symbol XPRSsetintcontrol with XPR" >&2;}
    21689    { (exit 1); exit 1; }; }
    2169021886fi
    2169121887rm -f conftest.err conftest.$ac_objext \
    2169221888      conftest$ac_exeext conftest.$ac_ext
    21693                     ac_ext=c
     21889           done
     21890           ac_ext=c
    2169421891ac_cpp='$CPP $CPPFLAGS'
    2169521892ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     
    2169721894ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2169821895
    21699                     LIBS="$coin_save_LIBS"
    21700                   fi
    21701 
    21702   ADDLIBS="$XPRLIB $ADDLIBS"
     21896           if test x"$coin_XPR_link" = xyes ; then
     21897             LIBS="$coin_save_LIBS"
     21898           else
     21899             { { echo "$as_me:$LINENO: error: Cannot find symbol(s) XPRSsetintcontrol with XPR" >&5
     21900echo "$as_me: error: Cannot find symbol(s) XPRSsetintcontrol with XPR" >&2;}
     21901   { (exit 1); exit 1; }; }
     21902           fi
     21903         fi
     21904
     21905
     21906# If we make it this far, we've verified the file and linked the function. Add
     21907# the necessary link flags to ADDLIBS and define the preprocessor symbol
     21908# COIN_HAS_LBRY.
     21909
     21910    ADDLIBS="$XPRLIB $ADDLIBS"
    2170321911
    2170421912cat >>confdefs.h <<\_ACEOF
     
    2170621914_ACEOF
    2170721915
    21708 else
    21709   echo "$as_me:$LINENO: result: no" >&5
    21710 echo "${ECHO_T}no" >&6
    21711 fi
     21916  fi
     21917
     21918# Arrange for configure to substitute LBRYINCDIR and LBRYLIB and create the
     21919# automake conditional. These actions must occur unconditionally.
    2171221920
    2171321921
  • branches/devel/Cbc/configure.ac

    r592 r611  
    7272# Check which third party solvers are available ToDo!
    7373AC_COIN_HAS_USER_LIBRARY([Cplex],[CPX],[cplex.h],[CPXgetstat])
    74 AC_COIN_HAS_USER_LIBRARY([Glpk],[GLPK],[glpk.h],[glp_lpx_simplex])
     74AC_COIN_HAS_USER_LIBRARY([Glpk],[GLPK],[glpk.h],
     75    [_glp_lpx_simplex glp_lpx_simplex])
    7576AC_COIN_HAS_USER_LIBRARY([FortMP],[FMP])  #ToDo! is Fortran?
    7677AC_COIN_HAS_USER_LIBRARY([Mosek],[MSK],[mosekdl.h],[MSK_openmosek])
Note: See TracChangeset for help on using the changeset viewer.